import { z } from "zod"

export const salesConfigFormSchema = z.object({
    sell_rates_tax_inclusive: z.string().optional(),
    give_discounts: z.string().optional(),
})

export type SalesConfigFormValues = z.infer<typeof salesConfigFormSchema>

export const purchaseConfigFormSchema = z.object({
    purchase_rates_tax_inclusive: z.string().optional(),
    receive_discounts: z.string().optional(),
})

export type PurchaseConfigFormValues = z.infer<typeof purchaseConfigFormSchema>

export const generalPreferencesFormSchema = z.object({
    sell_rates_tax_inclusive: z.string().optional(),
    give_discounts: z.string().optional(),
    purchase_rates_tax_inclusive: z.string().optional(),
    receive_discounts: z.string().optional(),
})

export type GeneralPreferencesFormValues = z.infer<typeof generalPreferencesFormSchema>
